SIMPLIFY(1)

NAME
simplify - a script to simplify a MIME message

SYNOPSIS
simplify [args ...] < message > othermessage

DESCRIPTION
This manual page documents briefly the simplify command. simplify is a Perl script to simplify a MIME message.

This script never loads the entire message into memory, but does dump it's entire contents to disk once.

OPTIONS

mime=no
    Don't use MIME, no HTML mail allowed.

testing=yes
    Run in testing mode (suppress randonmess)

saveall=yes
    Save all attachments to files.

temp=/path/to/working/dir/
    Defaults to /tmp.

url=http://box/path/
    URL-prefix for printing paths to attachments

header=text...
    Text preceding the attachment URL list.

textsig=/path/to/file
    Text signature to append to text parts.

htmlsig=/path/to/file
    HTML signature to append to HTML parts.

If "saveall" is yes, then the script will save all attachments to disk so people can access their contents later. If an URL is specified then that automatically implies "saveall=yes". Without this, the default behavior is to only save text and html parts, and delete them and all working directories when the script is finished.

SEE ALSO
sanitizer(1). More info on configuration: /usr/share/doc/sanitizer/sanitizer.html

AUTHOR
Bjarni R. Einarsson <bre@klaki.net>

This manual page was written by Alberto Gonzalez Iniesta <agi@agi.as> for the Debian GNU/Linux system (but may be used by others).